Name:		dcc
Summary:	Distributed Checksum Clearinghouse
Version:	1.3.157
Release:	2.1
License:	Other (semi-free)
Group:		Productivity/Networking/Email/Utilities
Source:		%{name}-%{version}.tar.Z
Source1:	%{name}-rpmlintrc
Patch0:		%{name}-chown.patch
BuildRoot:	%{_tmppath}/build-root-%{name}
Url:		http://www.dcc-servers.net/dcc/
BuildRequires:	rrdtool

%if 0%{?suse_version}
BuildRequires:	apache2
%define		_apachewwwdir /srv/www
%define		_suser vscan
%endif

%if 0%{?fedora_version} || 0%{?centos_version} || 0%{?redhat_version}
BuildRequires:	httpd
%define		_apachewwwdir /var/www
%define		_suser amavis
%endif

%description
The Distributed Checksum Clearinghouse or DCC is a cooperative, distributed system intended to detect "bulk" mail or mail sent to many people. It allows individuals receiving a single mail message to determine that many other people have received essentially identical copies of the message and so reject or discard the message.

Source for the server, client, and utilities is available at Rhyolite Software, LLC, http://www.rhyolite.com/dcc/ It is free for organizations that do not sell spam or virus filtering services.

%prep
rm -rf $RPM_BUILD_ROOT 
mkdir $RPM_BUILD_ROOT

%setup
%patch0

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure \
 --homedir=/var/lib/dcc \
 --libexecdir=%{_prefix}/lib/dcc/libexec \
 --with-cgibin=%{_apachewwwdir}/cgi-bin/dcc \
 --disable-dccm \
 --with-installroot=$RPM_BUILD_ROOT \
 --bindir=%{_bindir} \
 --mandir=%{_mandir} \
 --disable-sys-inst \
 --with-uid=%{_suser}
%__make -j 2

%install
%__make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/*dcc*
%{_apachewwwdir}/cgi-bin/dcc
%dir %{_prefix}/lib/dcc
%dir %{_prefix}/lib/dcc/libexec
%{_prefix}/lib/dcc/libexec
%defattr(-,%{_suser},root)
/var/lib/%{name}

%changelog
* Thu Apr  2 2015 cs@linux-administrator.com
- update to release 1.3.157
* Sun Aug 31 2014 cs@linux-administrator.com
- update to release 1.3.155
* Wed Dec  4 2013 cs@linux-administrator.com
- update to release 1.3.154
* Wed Aug  7 2013 cs@linux-administrator.com
- update to relesae 1.3.152
* Fri Jun 28 2013 cs@linux-administrator.com
- update to release 1.3.147
* Thu Jun 20 2013 cs@linux-administrator.com
- update to release 1.3.146
* Mon May 20 2013 cs@linux-administrator.com
- update to release 1.3.145
* Sat Apr 20 2013 cs@linux-administrator.com
- update to release 1.3.144
* Sat Sep  1 2012 cs@linux-administrator.com
- update to release 1.3.143
* Sun Aug  5 2012 cs@linux-administrator.com
- update to release 1.3.142
